aboutsummaryrefslogtreecommitdiff
path: root/core/kiss
diff options
context:
space:
mode:
Diffstat (limited to 'core/kiss')
-rwxr-xr-xcore/kiss/build6
-rw-r--r--core/kiss/message5
-rwxr-xr-xcore/kiss/post-install21
-rw-r--r--core/kiss/version2
4 files changed, 28 insertions, 6 deletions
diff --git a/core/kiss/build b/core/kiss/build
index 9838fd03..e584bd49 100755
--- a/core/kiss/build
+++ b/core/kiss/build
@@ -2,3 +2,9 @@
install -Dm755 kiss_path.sh "$1/etc/profile.d/kiss_path.sh"
make PREFIX=/usr DESTDIR="$1" install
+
+printf '\033[1m%s\033[m\n' "" \
+ "IMPORTANT" ""\
+ " Post installation will update to the latest version of the package manager: CPT" \
+ " This will automatically replace your /var/db/kiss directory to /var/db/cpt." \
+ " Please do NOT create the /var/db/cpt directory by yourself. The update will handle this." ""
diff --git a/core/kiss/message b/core/kiss/message
deleted file mode 100644
index 84be337e..00000000
--- a/core/kiss/message
+++ /dev/null
@@ -1,5 +0,0 @@
-IMPORTANT:
-
-i686 users, i686 repository has been removed and merged
-with the base. You will need to remove the repository
-manually from your KISS_PATH.
diff --git a/core/kiss/post-install b/core/kiss/post-install
new file mode 100755
index 00000000..93a484a1
--- /dev/null
+++ b/core/kiss/post-install
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+export CPT_ROOT=$KISS_ROOT
+kiss b cpt && kiss i cpt || exit 1
+
+# Make sure we don't have /var/db/cpt already
+if [ -d "$KISS_ROOT/var/db/cpt" ]; then
+ out "It seems like you already have /var/db/cpt, it might be dangerous to continue." \
+ "Proceed? [Ctrl+C to cancel]"
+ read -r _
+ mv "$KISS_ROOT/var/db/kiss/"* "$KISS_ROOT/var/db/cpt"
+else
+ mv "$KISS_ROOT/var/db/kiss" "$KISS_ROOT/var/db/cpt"
+fi
+
+set +f
+sed -i 's|^/var/db/kiss/|/var/db/cpt/|' /var/db/cpt/installed/*/manifest
+
+CPT_PATH=$(echo "$KISS_PATH" | sed 's|/var/db/kiss/|/var/db/cpt/|g')
+export CPT_PATH
+cpt-remove kiss
diff --git a/core/kiss/version b/core/kiss/version
index fbf76438..a06e2c04 100644
--- a/core/kiss/version
+++ b/core/kiss/version
@@ -1 +1 @@
-2.3.0 1
+2.3.0 2